Уязвимость при обработке X.509 сертификатов в GnuTLS

Дата публикации:
11.11.2008
Дата изменения:
28.02.2009
Всего просмотров:
1760
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
Спуфинг атака
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GnuTLS 2.x
Уязвимые версии: GnuTLS версии до 2.6.1

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за ошибки при проверке подлинности цепочки X.509 сертификатов. Удаленный пользователь может подделать имя и произвести атаку «человек посередине».

URL производителя: www.gnu.org/software/gnutls/

Решение: Установите последнюю версию 2.6.2 с сайта производителя.

Журнал изменений:

28.02.2009
Изменена секция «Решение».

Ссылки: http://article.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3215

или введите имя

CAPTCHA